Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.modeshape.common.collection
Class LinkedHashMultimap<K,V>

    java.lang.Object
      org.modeshape.common.collection.AbstractMultimap<K,V>
          org.modeshape.common.collection.LinkedHashMultimap<K,V>

Type Parameters:
  `K` - the key type
  `V` - the value type

All Implemented Interfaces:
  Multimap<K,V>

    public class LinkedHashMultimap<K,V>

extends AbstractMultimap<K,V>

A `Multimap` implementation that uses an `LinkedHashSet` to store the values associated with a key. This implementation does not allow duplicates and the values are ordered.

Nested Class Summary

Nested classes/interfaces inherited from class org.modeshape.common.collection.AbstractMultimap
`AbstractMultimap.EntriesCollection, AbstractMultimap.EntryIterator, AbstractMultimap.ValueIterator, AbstractMultimap.ValuesCollection, AbstractMultimap.WrappedCollection, AbstractMultimap.WrappedKeySet, AbstractMultimap.WrappedList, AbstractMultimap.WrappedMap, AbstractMultimap.WrappedSortedKeySet`

Constructor Summary
`protected` | `LinkedHashMultimap()`

Method Summary
`static
`<K,V> LinkedHashMultimap<K,V>`
` | `create()` Creates a new, empty `LinkedHashMultimap` (that allows no duplicates) with the default initial capacity.
`protected Collection<V>` | `createCollection()`
`protected Collection<V>` | `createUnmodifiableEmptyCollection()`

Methods inherited from class org.modeshape.common.collection.AbstractMultimap
`asMap, clear, containsEntry, containsKey, containsValue, createEntryIterator, createUnmodifiable, entries, equals, get, getOrCreateCollection, hashCode, isEmpty, keySet, put, rawData, remove, removeAll, removeAllValuesForKey, size, toString, values, wrapCollection, wrapKeySet, wrapList, wrapMap`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### LinkedHashMultimap

    protected LinkedHashMultimap()

Method Detail

### create

    public static <K,V> LinkedHashMultimap<K,V> create()

  Creates a new, empty `LinkedHashMultimap` (that allows no duplicates) with the default initial capacity.

  Type Parameters:
    `K` - the key type
    `V` - the value type
  Returns:
    the new linked-hash multimap; never null

### createCollection

    protected Collection<V> createCollection()

  Specified by:
    `createCollection` in class `AbstractMultimap<K,V>`
  See Also:
    `AbstractMultimap.createCollection()`

### createUnmodifiableEmptyCollection

    protected Collection<V> createUnmodifiableEmptyCollection()

  Specified by:
    `createUnmodifiableEmptyCollection` in class `AbstractMultimap<K,V>`
  See Also:
    `AbstractMultimap.createUnmodifiableEmptyCollection()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2011 JBoss, a division of Red Hat. All Rights Reserved.